#ifdef VHDL

/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Vhdl.h"

#include <sstream>

namespace morpheo              {
namespace behavioural          {
  
#undef  FUNCTION
#define FUNCTION "Vhdl::get_alias"
  std::string Vhdl::get_alias (uint32_t depth)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    std::string _return = get_list(_list_alias, depth, ";", true);
    log_printf(FUNC,Behavioural,FUNCTION,"End");

    return _return;
  };
  
}; // end namespace behavioural          
}; // end namespace morpheo              

#endif
